/*
	Fix Your Singer
	(c) 2008--2009 Stephane Magnenat <stephane at magnenat dot net>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation version 3.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	The GPL can be found at <http://www.gnu.org/licenses/>.
*/


#ifndef __MAIN_WINDOW_H
#define __MAIN_WINDOW_H

#include <QMainWindow>
#include <PitchVector.h>

class QAction;
class PitchEditorWidget;
class QProcess;

class MainWindow : public QMainWindow
{
	Q_OBJECT
	
public:
	MainWindow();
	virtual ~MainWindow();

protected slots:
	void open();
	void saveAs();
	void save();
	//void importPitchTiers();
	void exportPitchTiers();
	void play();
	void stopPlayingSound();
	
protected:
	bool doSave(const QString& fileName);
	bool savePitchTiers(const QString& fileName);
	void replacePitchTier();
	
protected:
	PitchVector pitches;
	PitchEditorWidget* editor;
	
	QProcess *praat;
	
	QString openFileName;
	QString openPraatFileName;
	QString saveFileName;
	QAction* saveAsAction;
	QAction* saveAction;
	QAction* playSoundAction;
	QAction* stopPlayingSoundAction;
};

#endif

